ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

ARX to trace the outline of an ofice chair

9 REPLIES 9
Reply
Message 1 of 10
Anonymous
546 Views, 9 Replies

ARX to trace the outline of an ofice chair

I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon
9 REPLIES 9
Message 2 of 10
Anonymous
in reply to: Anonymous

How is the chair drawn?

Solids, 3dfaces etc



"Jon Prisbe" wrote in message
news:4954908@discussion.autodesk.com...
I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon
Message 3 of 10
Anonymous
in reply to: Anonymous

You can use AcDbEntity::getGeomExtents( ) to get the bounding box, if you're
just looking for a footprint (you can just remove the Z component to get the
2D rectangle). If you're looking for a more detailed 2D representation, it
will depend on what type of objects make up the chair.

-Rich


"Jon Prisbe" wrote in message
news:4954908@discussion.autodesk.com...
I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon
Message 4 of 10
Anonymous
in reply to: Anonymous

The chairs are made up of 3d faces.

"Matt"
wrote in message
news:4954989@discussion.autodesk.com...
How is the chair drawn?

Solids, 3dfaces etc



"Jon Prisbe" wrote in message
news:4954908@discussion.autodesk.com...
I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon
Message 5 of 10
Anonymous
in reply to: Anonymous

It needs to be more detailed. Chairs are made up of 3D faces

"Justavian" wrote in message
news:4955561@discussion.autodesk.com...
You can use AcDbEntity::getGeomExtents( ) to get the bounding box, if you're
just looking for a footprint (you can just remove the Z component to get the
2D rectangle). If you're looking for a more detailed 2D representation, it
will depend on what type of objects make up the chair.

-Rich


"Jon Prisbe" wrote in message
news:4954908@discussion.autodesk.com...
I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon
Message 6 of 10
Anonymous
in reply to: Anonymous

Collect all the faces
Iterate the vertices, one 3dface at the time, and create a bunch of
AcGePolyLines
Project them using AcGeCurve3d::project.

That leaves you with a couple of GeEntities to try to clean up
And then create AcDbEntities.

Must be a smarter way. But this might work







"Jon Prisbe" wrote in message
news:4955689@discussion.autodesk.com...
The chairs are made up of 3d faces.

"Matt"
wrote in message
news:4954989@discussion.autodesk.com...
How is the chair drawn?

Solids, 3dfaces etc



"Jon Prisbe" wrote in message
news:4954908@discussion.autodesk.com...
I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon
Message 7 of 10
Anonymous
in reply to: Anonymous

Check out the hidden line api samples in ObjectArx/utils/HlrApi. That with the proper view should give you a much better 2d result.

Chris Arps
Message 8 of 10
Anonymous
in reply to: Anonymous

Thanks,

I try your suggestons.

jon


"Jon Prisbe" wrote in message
news:4954908@discussion.autodesk.com...
I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon
Message 9 of 10
Anonymous
in reply to: Anonymous

I have a routine that takes 3D objects (by selection) and projects them onto
a selected plane. To project onto the XY plane just loop through the
selection set, iterate through the vertices of the faces and set their Z
coordinates to zero. If you want to keep the originals, just create new
ones whose Z coordinates you modify.



"Matt"
wrote in message
news:4955870@discussion.autodesk.com...
Collect all the faces
Iterate the vertices, one 3dface at the time, and create a bunch of
AcGePolyLines
Project them using AcGeCurve3d::project.

That leaves you with a couple of GeEntities to try to clean up
And then create AcDbEntities.

Must be a smarter way. But this might work







"Jon Prisbe" wrote in message
news:4955689@discussion.autodesk.com...
The chairs are made up of 3d faces.

"Matt"
wrote in message
news:4954989@discussion.autodesk.com...
How is the chair drawn?

Solids, 3dfaces etc



"Jon Prisbe" wrote in message
news:4954908@discussion.autodesk.com...
I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon
Message 10 of 10
Anonymous
in reply to: Anonymous

I have written a similar routine.

I am executing the hide command to hide some faces, iterating the vertices
of the remaining faces and changing the z values to zero. Then I compare
edges and discard any that are identical in length and location (to
eliminate lines inside the perimeter).

This works pretty well, but sometimes my trace is not as smooth as I'd like
it.




"Ed DePaola" wrote in message
news:4959558@discussion.autodesk.com...
I have a routine that takes 3D objects (by selection) and projects them onto
a selected plane. To project onto the XY plane just loop through the
selection set, iterate through the vertices of the faces and set their Z
coordinates to zero. If you want to keep the originals, just create new
ones whose Z coordinates you modify.



"Matt"
wrote in message
news:4955870@discussion.autodesk.com...
Collect all the faces
Iterate the vertices, one 3dface at the time, and create a bunch of
AcGePolyLines
Project them using AcGeCurve3d::project.

That leaves you with a couple of GeEntities to try to clean up
And then create AcDbEntities.

Must be a smarter way. But this might work







"Jon Prisbe" wrote in message
news:4955689@discussion.autodesk.com...
The chairs are made up of 3d faces.

"Matt"
wrote in message
news:4954989@discussion.autodesk.com...
How is the chair drawn?

Solids, 3dfaces etc



"Jon Prisbe" wrote in message
news:4954908@discussion.autodesk.com...
I have a request to write an arx that would look at the top view of a 3D
desk chair
and trace along the perimeter to create a 2D view of the same chair.

Is there any utility that currently does such a thing? or
is there functionality in AutoCAD to do this? or
any suggestions on how I should go about this?

Any ideas/suggestions would be appreciated.

Thanks,

Jon

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost